[vdr] [ANNOUNCE] po2i18n - converter for plugin backwards compatibility

Udo Richter udo_richter at gmx.de
Sat Aug 18 20:41:09 CEST 2007


Hi list,

I've uploaded a little perl script and instructions to convert from the 
new gettext based po i18n files to the old i18n.c system of VDR 1.5.6 
and earlier. By using this script its easy to use the new po based i18n 
system for translations, and still compile the plugins with full i18n 
support all the way back to VDR 1.2.0.

The script can either be used manually to generate the i18n.c file from 
the po files and a template, or automatically as part of the build process.

Get it here:
http://www.udo-richter.de/vdr/scripts.html#po2i18n
http://www.udo-richter.de/vdr/scripts.en.html#po2i18n


Cheers,

Udo



More information about the vdr mailing list